Problem/Bug org.bukkit.plugin.InvalidDescriptionException: Invalid plugin.yml

Discussion in 'Bukkit Help' started by Tortuex, Feb 13, 2019 at 10:09 AM.

  1. Offline

    Tortuex

    So basically I'm trying to install worldedit on my Server running on my Raspberry Pi 3, but I get the error that plugin.yml is invalid.
    I dowloaded it from here with WGET (as I'm running linux) and I do have the jar file in my plugins folder (as show below)

    upload_2019-2-13_19-8-27.png

    Can anyone help?
    Thanks in advance :D

    [18:17:28] [Server thread/ERROR]: Could not load 'plugins/worldedit-bukkit-7.0.0-beta-05.jar' in folder 'plugins'
    org.bukkit.plugin.InvalidDescriptionException: Invalid plugin.yml
    at org.bukkit.plugin.java.JavaPluginLoader.getPluginDescription(JavaPluginLoader.java:163) ~[spigot-1.13.2.jar:git-Spigot-b0f4c22-b26fb37]
    at org.bukkit.plugin.SimplePluginManager.loadPlugins(SimplePluginManager.java:133) [spigot-1.13.2.jar:git-Spigot-b0f4c22-b26fb37]
    at org.bukkit.craftbukkit.v1_13_R2.CraftServer.loadPlugins(CraftServer.java:325) [spigot-1.13.2.jar:git-Spigot-b0f4c22-b26fb37]
    at net.minecraft.server.v1_13_R2.DedicatedServer.init(DedicatedServer.java:213) [spigot-1.13.2.jar:git-Spigot-b0f4c22-b26fb37]
    at net.minecraft.server.v1_13_R2.MinecraftServer.run(MinecraftServer.java:698) [spigot-1.13.2.jar:git-Spigot-b0f4c22-b26fb37]
    at java.lang.Thread.run(Thread.java:745) [?:1.8.0_65]
    Caused by: java.util.zip.ZipException: error in opening zip file
    at java.util.zip.ZipFile.open(Native Method) ~[?:1.8.0_65]
    at java.util.zip.ZipFile.<init>(ZipFile.java:219) ~[?:1.8.0_65]
    at java.util.zip.ZipFile.<init>(ZipFile.java:149) ~[?:1.8.0_65]
    at java.util.jar.JarFile.<init>(JarFile.java:166) ~[?:1.8.0_65]
    at java.util.jar.JarFile.<init>(JarFile.java:130) ~[?:1.8.0_65]
    at org.bukkit.plugin.java.JavaPluginLoader.getPluginDescription(JavaPluginLoader.java:151) ~[spigot-1.13.2.jar:git-Spigot-b0f4c22-b26fb37]
    ... 5 more
    [18:17:28] [Server thread/ERROR]: Could not load 'plugins/NoSpawnChunks.jar' in folder 'plugins'
    org.bukkit.plugin.InvalidDescriptionException: Invalid plugin.yml
    at org.bukkit.plugin.java.JavaPluginLoader.getPluginDescription(JavaPluginLoader.java:163) ~[spigot-1.13.2.jar:git-Spigot-b0f4c22-b26fb37]
    at org.bukkit.plugin.SimplePluginManager.loadPlugins(SimplePluginManager.java:133) [spigot-1.13.2.jar:git-Spigot-b0f4c22-b26fb37]
    at org.bukkit.craftbukkit.v1_13_R2.CraftServer.loadPlugins(CraftServer.java:325) [spigot-1.13.2.jar:git-Spigot-b0f4c22-b26fb37]
    at net.minecraft.server.v1_13_R2.DedicatedServer.init(DedicatedServer.java:213) [spigot-1.13.2.jar:git-Spigot-b0f4c22-b26fb37]
    at net.minecraft.server.v1_13_R2.MinecraftServer.run(MinecraftServer.java:698) [spigot-1.13.2.jar:git-Spigot-b0f4c22-b26fb37]
    at java.lang.Thread.run(Thread.java:745) [?:1.8.0_65]
    Caused by: java.util.zip.ZipException: error in opening zip file
    at java.util.zip.ZipFile.open(Native Method) ~[?:1.8.0_65]
    at java.util.zip.ZipFile.<init>(ZipFile.java:219) ~[?:1.8.0_65]
    at java.util.zip.ZipFile.<init>(ZipFile.java:149) ~[?:1.8.0_65]
    at java.util.jar.JarFile.<init>(JarFile.java:166) ~[?:1.8.0_65]
    at java.util.jar.JarFile.<init>(JarFile.java:130) ~[?:1.8.0_65]
    at org.bukkit.plugin.java.JavaPluginLoader.getPluginDescription(JavaPluginLoader.java:151) ~[spigot-1.13.2.jar:git-Spigot-b0f4c22-b26fb37]
    ... 5 more
     
  2. Offline

    timtower Ninja on the waves Moderator

    @Tortuex Download with your machine, move them over with ftp
     
  3. Offline

    Tortuex

    Dude thanks ahaha didn't know that was this easy :)
     

Share This Page